<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns="http://www.w3.org/1999/xhtml">
<f:facet name="header">
    <p:graphicImage value="#{resource['images/images/accepted.png']}"
                    rendered="#{uiBean.uiVariable.variableStepIsValid}"/>
    <h:outputText value="#{titleForAssociateAccordionItem}"/>
</f:facet>


<p:dataList id="listAssociates"
            value="#{uiBean.uiAssociate.listAssociatesSelected}"
            var="associate" type="unordered"
            rendered="#{uiBean.uiVariable.variableStepIsValid}">
    <p:column>
        <p:commandLink actionListener="#{uiBean.removeAssociate(associate.file.fileComp.id)}"
                       process="@this"
                       oncomplete="updateAssociate()">
            <h:outputText
                    value="#{associate.localizedFileName}"
                    styleClass="#{associate.selected ? 'selected':''}"/>
            <p:graphicImage value="#{resource['images/remove_selection.png']}" styleClass="buttonAction"/>
        </p:commandLink>
    </p:column>
</p:dataList>

</html>